Subject: Re: [bug#35176] [PATCH 0/5] 'guix gc --delete-generations' and '--list-roots'

From: Ludovic Courtès <[email-masked]>
Date: Wed, 10 Apr 2019 17:19:16 +0200

Hello,

Björn Höfling <[email-masked]> skribis:

> On Tue, 09 Apr 2019 22:02:07 +0200
> Ludovic Courtès <[email-masked]> wrote:
>
>> Hi Björn,
>> 
>> > Second, how big is the chance I could accidentally delete (all)
>> > older generations of my profiles?  
>> 
>> It’s unlikely because if you do “guix gc -d /gnu/store/…”, it still
>> behaves like before.
>> 
>> Does it address your concern?
>
> OK, convinced. Thanks for clarifying.

Cool, I’ve just pushed the patch series.

I noticed that the compatibility trick for ‘-d’ would ignore its
argument (thus it wouldn’t delete anything at all), so I’ve fixed that.

Thank you!

Ludo’.